
TYPO3.Flow - Bug # 3569

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Core
Created: 2009-06-04 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: setfilepermissions.sh: with non-writable Temporary folder caches end up elsewhere (CLI mode)
Description

Just had weird fatal errors in CLI mode, and it turned out the cache was in /tmp/ instead of Data/Temporary/ - because the latter was
not writable. setfilepermissions.sh set owner and group, but the folder needs to be writable also for the CLI user (analog to the Logs
folder).

Related issues:
related to TYPO3.Flow - Bug # 3534: File permission issues Resolved 2009-06-02

Associated revisions
Revision 4346a929 - 2009-06-29 09:59 - Robert Lemke

    -  [FIX] FLOW3 (Core): FLOW3's index.php now checks if the PHP version supports namespaces before including the FLOW3 bootstrap. For PHP
versions below 5.3.0RC2 an error message will be displayed. Resolves #3568
    -  [TASK] FLOW3 (Package): String change in the UnknownPackage exception thrown in the Package Manager.
    -  [FIX] FLOW3 (Core): Adjusted the file permissions set by the setfilepermissions.sh script. Now conflicts between command line and web user
should be solved. If you experience file permission errors, please run this script. Resolves #3569
    -  [TASK] FLOW3: The ./flow3 script now assumes Development to be the default context. Please use -p or --production for switching into production
context.

Revision 797fa1d9 - 2009-06-29 09:59 - Robert Lemke

    -  [FIX] FLOW3 (Core): FLOW3's index.php now checks if the PHP version supports namespaces before including the FLOW3 bootstrap. For PHP
versions below 5.3.0RC2 an error message will be displayed. Resolves #3568
    -  [TASK] FLOW3 (Package): String change in the UnknownPackage exception thrown in the Package Manager.
    -  [FIX] FLOW3 (Core): Adjusted the file permissions set by the setfilepermissions.sh script. Now conflicts between command line and web user
should be solved. If you experience file permission errors, please run this script. Resolves #3569
    -  [TASK] FLOW3: The ./flow3 script now assumes Development to be the default context. Please use -p or --production for switching into production
context.

Revision 85ed14a3 - 2009-06-30 17:17 - Robert Lemke

[FIX] FLOW3 (Core): Adjusted the file permissions set by the setfilepermissions.sh script. Now conflicts between command line and web user should
be solved. If you experience file permission errors, please run this script. Note: You need to specify the command line user and web server group
(previously it was webserver user and webserver group). Resolves #3569

History
#1 - 2009-06-29 10:00 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2655.

#2 - 2009-06-29 10:59 - Karsten Dambekalns
- Status changed from Resolved to Accepted
- Assigned To set to Robert Lemke
- % Done changed from 100 to 0

While the fix was mentioned in the commit message, it seems it was not committed...

#3 - 2009-07-01 09:09 - Robert Lemke
- Category set to Core
- Status changed from Accepted to Resolved

Resolved in r2684 (FLOW3 distribution)
